Opened 6 years ago

Closed 5 years ago

#228 closed Enhancement (Fixed)

Data time stamp on IBISQ result page

Reported by: Tong Zheng Owned by: ZW
Priority: !!Urgent Milestone: Unassigned
Component: IBIS-Q Version: 2.2
Severity: Minor Effort Keywords:
Cc: garth.braithwaite@…, tzheng@…, pleo84103@…, ZLIU@…

Description (last modified by Garth Braithwaite)

ZW has added:

<IBISQ_QUERY_RESULT><DATASET><data_timeStamp> Mon Oct 29 12:56:20 2012</data_timeStamp> </DATASET></IBISQ_QUERY_RESULT>

on the IBISQ xml results, we need display the data stamp on the result page. It need be done in 1.8 for current running system and core probably.

TESTING: SVN 4519 - make sure that the newest CGI is being used. Run the query and the dataset's modified dts should display at bottom of content.

Attachments (1)

date_time_stamp.png (30.0 KB) - added by Paul Leo 6 years ago.
snippet of dir listing of data file used for analysis using new win32 hi_iq_func.exe

Download all attachments as: .zip

Change History (13)

comment:1 Changed 6 years ago by Lois Haggard

Component: View-AppTrac
Type: UnknownEnhancement
Version: Unknown2.2

Urgent for Utah's site-specific in their secure 1.8 version.

For the rest of the community - we would like to have this in the core, but it is not urgent.

Garth will test for the element and only put the heading on the page if the element is there.

Dataset Last Updated: <<DATE, TIME>>

comment:2 Changed 6 years ago by Garth Braithwaite

Component: TracIBIS-Q
Description: modified (diff)
Owner: changed from Tong to Testing
Severity: UnknownMinor Effort

comment:3 Changed 6 years ago by Tong Zheng

Tested on Utah secured modules ibisph1.8. It works well.

comment:4 Changed 6 years ago by Lois Haggard

Sent message to ZW, Garth and Tong, asking them for best ways to compile on windows if one doesn't have MS C++ environment

comment:5 Changed 6 years ago by Lois Haggard

Cc: tzheng@… pleo84103@… added

comment:6 Changed 6 years ago by Tong Zheng

Tong has tested. It's working correctly. Waiting for Paul Leo's comments. If he is ok with it, the ticket can be closed.

comment:7 Changed 6 years ago by Paul Leo

I ran a query on old hi_iq_func.exe on win32, and the new hi_iq_func.exe using the query application string, and compared the results. The difference is that the new hi_iq_func.exe has the date timestamp in resulting xml as follows:

<DATASET>
<NAME>
airq_days_pm25_max_exceed
</NAME>
<TITLE>
(null)
</TITLE>
<MODIFIED_DATE>
Wed Jun 19 14:46:39 2013

</MODIFIED_DATE>
<LAST_MODIFIED>
11540217718773935
</LAST_MODIFIED>
</DATASET>

The html output has an additional line in the Query Date Time Stamp Section:

Query Date Time Stamp
These data were queried on: Thu, 22 Aug 2013 20:27:57 MDT
The dataset was last updated on: Tue, 9 Dec 367664 09:59:33 MST

So something is not correct - am not sure what the xml should look like, should it have MODIFIED_DATE and LAST_MODIFIED? The MODIFIED_DATE reads correctly. I don't know how LAST_MODIFIED is represented, so I can't tell what is belng displayed in the html, but it is not the MODIFIED_DATE

Last edited 6 years ago by Paul Leo (previous) (diff)

Changed 6 years ago by Paul Leo

Attachment: date_time_stamp.png added

snippet of dir listing of data file used for analysis using new win32 hi_iq_func.exe

comment:8 Changed 6 years ago by Paul Leo

Uploaded a snippet of the dir listing of the data file I used. Date modified is: 6/19/2013 2:46 PM

comment:9 Changed 6 years ago by Paul Leo

Cc: ZLIU@… added

comment:10 Changed 6 years ago by Garth Braithwaite

Owner: changed from Testing to ZW

Both values should be the same; the MODIFIED_DATE is a formatted version, LAST_MODIFIED is a count of seconds since some starting date. It appears that the windows version is returning the wrong LAST_MODIFIED value (probably milliseconds with a different starting date). The linux value works with the Java date time the windows value doesn't match with Java's. Here's an example for July 2013 from Pop:

<DATASET> <NAME>pop_y2k_vintage2011</NAME> <TITLE>(null)</TITLE> <MODIFIED_DATE>Wed Jul 10 15:17:38 2013</MODIFIED_DATE> <LAST_MODIFIED>1373491058</LAST_MODIFIED> </DATASET>

In Paul's Windows example his file is also 2013 but the windows value is much larger (hence the larger year). So comparing the two shows the much larger windows value: 11540217718773935 - windows 1373491058 - linux

comment:11 Changed 6 years ago by Garth Braithwaite

Did a quick check of the Windows date/time value. According to MSDN: http://msdn.microsoft.com/en-us/library/windows/desktop/ms724290(v=vs.85).aspx which states:

A file time is a 64-bit value that represents the number of 100-nanosecond intervals that have elapsed since 12:00 A.M. January 1, 1601 Coordinated Universal Time (UTC). The system records file times when applications create, access, and write to files.

So to get a mid 2013 value it would be:
10,000,000 - 100 nano intervals per sec
x 3,600 - secs per hour
x 24 - hours per day
x 365.25 - days per year
x 412.5 - years from 1601 to july 2013

= = = = = = = = = = = =

1.30171 x 1017

compared to ibisq value of:
011,540,217,718,773,935 (IBIS-Q Value for mid 2013)
130,171,000,000,000,000 (MS Windows value for mid 2013)

So this is not same value as it is off by a factor of 10 which suggests that the value might be millis since 1/1/1601.

Last edited 6 years ago by Garth Braithwaite (previous) (diff)

comment:12 Changed 5 years ago by Garth Braithwaite

Resolution: Fixed
Status: newclosed
Note: See TracTickets for help on using tickets.